<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/admin_panel_layout}">
<head>
    <meta charset="UTF-8">
    <title>Top Products</title>
</head>
<body>
<div layout:fragment="admin_panel_content" class="container mt-2">
    <h3>Most popular products</h3>
    <table class="table table-striped">
        <thead>
        <th></th>
        <th>Id</th>
        <th>Product Name</th>
        <th>Times Ordered</th>
        </thead>
        <tbody>
        <tr th:each="item, state : ${topProducts}">
            <td th:text="${state.count}">#</td>
            <td th:text="${item.productId}">index</td>
            <td th:text="${item.getProductName()}">product name</td>
            <td th:text="${item.getTimesOrdered()}">times ordered</td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>